
SUBSCHEMA TRKey

DEFINE ESET

	  TRKey = 
		 (Date    = INTE[0,991231] :'',
                  Time    = INTE[0,235959] :'',
		  Version = INTE	   :'',
		  Name	  = CH32           :'');

END ESET

END SUBSCHEMA


SUBSCHEMA TRSpectra

DEFINE ESET

	trxnumdis =
		 (x = REAL : 'ave no of xrays for this ngam bin');
END ESET

DEFINE ESET

	trdndespec =
		 (psum = REAL : 'seq of ngam part sums of nstep tr disns');

END ESET

DEFINE ESET

	trspecpars =
		 (NSTEPS = INTE  : '',
                  NGAMMAS    = INTE  :'',
                  GAMMAMIN  = INTE   :'',
                  GAMMAMAX  = INTE  :'',
                  GAMMASTEP  = REAL   :'',
                  XDOWN  = REAL   :'',
                  XSTEP  = REAL   :'',
                  XFOIL      = REAL  :'',
                  XGAP     = REAL  :'',
                  FOILVRA     = REAL  :'',
                  GAPVRA     = REAL   :'',
                  EPLF      = REAL   :'',
                  EPLG       = REAL   :'');

END ESET

DEFINE DATAFLOW

	TRSpectra = {trxnumdis}, {trdndespec}, {trspecpars}  :'';

END DATAFLOW

END SUBSCHEMA

